# GTokenLockedDepositNftDesign

*Design contract for GTokenLockedDepositNft, useful for OpenSea and other NFT marketplaces*

## buildTokenURI

```solidity
function buildTokenURI(uint256 tokenId, struct IGToken.LockedDeposit lockedDeposit, string gTokenSymbol, string assetSymbol, uint8 numberInputDecimals, uint8 numberOutputDecimals) external pure returns (string)
```

## numberToRoundedString

```solidity
function numberToRoundedString(uint256 number, uint8 inputDecimals, uint8 outputDecimals) public pure returns (string)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gains.trade/developer/technical-reference/contracts/misc/gtokenlockeddepositnftdesign.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
